# Create a Payment Evaluation Request a Radar API fraud risk score from Stripe for a payment before sending it for external processor authorization. ## Returns Returns the payment evaluation object. ## Parameters - `customer_details` (object, required) Details about the customer associated with the payment evaluation. - `customer_details.customer` (string, optional) The ID of the customer associated with the payment evaluation. - `customer_details.customer_account` (string, optional) The ID of the Account representing the customer associated with the payment evaluation. - `customer_details.email` (string, optional) The customer’s email address. The maximum length is 800 characters. - `customer_details.name` (string, optional) The customer’s full name or business name. - `customer_details.phone` (string, optional) The customer’s phone number. - `payment_details` (object, required) Details about the payment. - `payment_details.amount` (integer, required) The intended amount to collect with this payment. A positive integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/docs/currencies.md#zero-decimal) (for example, 100 cents to charge 1.00 USD or 100 to charge 100 Yen, a zero-decimal currency). - `payment_details.currency` (enum, required) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `payment_details.payment_method_details` (object, required) Details about the payment method to use for the payment. - `payment_details.payment_method_details.payment_method` (string, required) ID of the payment method used in this payment evaluation. - `payment_details.payment_method_details.billing_details` (object, optional) Billing information associated with the payment evaluation. - `payment_details.payment_method_details.billing_details.address` (object, optional) Billing address. - `payment_details.payment_method_details.billing_details.address.city` (string, optional) City, district, suburb, town, or village. - `payment_details.payment_method_details.billing_details.address.country` (string, optional) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `payment_details.payment_method_details.billing_details.address.line1` (string, optional) Address line 1, such as the street, PO Box, or company name. - `payment_details.payment_method_details.billing_details.address.line2` (string, optional) Address line 2, such as the apartment, suite, unit, or building. - `payment_details.payment_method_details.billing_details.address.postal_code` (string, optional) ZIP or postal code. - `payment_details.payment_method_details.billing_details.address.state` (string, optional) State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)). - `payment_details.payment_method_details.billing_details.email` (string, optional) Email address. The maximum length is 800 characters. - `payment_details.payment_method_details.billing_details.name` (string, optional) Full name. - `payment_details.payment_method_details.billing_details.phone` (string, optional) Billing phone number (including extension). - `payment_details.description` (string, optional) An arbitrary string attached to the object. Often useful for displaying to users. - `payment_details.money_movement_details` (object, optional) Details about the payment’s customer presence and type. - `payment_details.money_movement_details.money_movement_type` (enum, required) Describes the type of money movement. Currently only `card` is supported. Possible enum values: - `card` The money movement details for a card payment. - `payment_details.money_movement_details.card` (object, optional) Describes card money movement details for the payment evaluation. - `payment_details.money_movement_details.card.customer_presence` (enum, optional) Describes the presence of the customer during the payment. Possible enum values: - `off_session` Customer isn’t present because the payment was initiated automatically or by the merchant. - `on_session` Customer is present in the checkout flow. - `payment_details.money_movement_details.card.payment_type` (enum, optional) Describes the type of payment. Possible enum values: - `one_off` Charge an on-session or off-session customer using a previously stored card. - `recurring` Charge an on-session or off-session customer using a previously stored card. - `setup_one_off` Charge an on-session customer and store their card for future unscheduled on-session or off-session usage. - `setup_recurring` Charge an on-session customer and store their card for future off-session usage on recurring payments. - `payment_details.shipping_details` (object, optional) Shipping details for the payment evaluation. - `payment_details.shipping_details.address` (object, optional) Shipping address. - `payment_details.shipping_details.address.city` (string, optional) City, district, suburb, town, or village. - `payment_details.shipping_details.address.country` (string, optional) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `payment_details.shipping_details.address.line1` (string, optional) Address line 1, such as the street, PO Box, or company name. - `payment_details.shipping_details.address.line2` (string, optional) Address line 2, such as the apartment, suite, unit, or building. - `payment_details.shipping_details.address.postal_code` (string, optional) ZIP or postal code. - `payment_details.shipping_details.address.state` (string, optional) State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)). - `payment_details.shipping_details.name` (string, optional) Shipping name. - `payment_details.shipping_details.phone` (string, optional) Shipping phone number. - `payment_details.statement_descriptor` (string, optional) Payment statement descriptor. - `client_device_metadata_details` (object, optional) Details about the Client Device Metadata to associate with the payment evaluation. - `client_device_metadata_details.radar_session` (string, required) ID for the Radar Session to associate with the payment evaluation. A [Radar Session](https://docs.stripe.com/radar/radar-session.md) is a snapshot of the browser metadata and device details that help Radar make more accurate predictions on your payments. - `metadata` (object, optional) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`. #### Default #### Default ```curl curl https://api.stripe.com/v1/radar/payment_evaluations \ -u "<>" \ -H "Stripe-Version: 2026-01-28.preview" \ -d "payment_details[payment_method_details][payment_method]"=pm_123456789 \ -d "payment_details[amount]"=100 \ -d "payment_details[currency]"=usd \ --data-urlencode "customer_details[email]"="jennyrosen@example.com" \ -d "client_device_metadata_details[radar_session]"=rse_123456789 ``` ### Response ```json { "id": "peval_123456789", "created_at": 1704067200, "insights": { "evaluated_at": 1726181396, "fraudulent_dispute": { "recommended_action": "continue", "risk_score": 50 } }, "livemode": false, "metadata": {}, "status": "requires_action" } ```